package com.hfkj.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class BsOilPriceAdjustExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private Integer limit;

    private Long offset;

    public BsOilPriceAdjustExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setOffset(Long offset) {
        this.offset = offset;
    }

    public Long getOffset() {
        return offset;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andPriceAdjustDateIdIsNull() {
            addCriterion("price_adjust_date_id is null");
            return (Criteria) this;
        }

        public Criteria andPriceAdjustDateIdIsNotNull() {
            addCriterion("price_adjust_date_id is not null");
            return (Criteria) this;
        }

        public Criteria andPriceAdjustDateIdEqualTo(Long value) {
            addCriterion("price_adjust_date_id =", value, "priceAdjustDateId");
            return (Criteria) this;
        }

        public Criteria andPriceAdjustDateIdNotEqualTo(Long value) {
            addCriterion("price_adjust_date_id <>", value, "priceAdjustDateId");
            return (Criteria) this;
        }

        public Criteria andPriceAdjustDateIdGreaterThan(Long value) {
            addCriterion("price_adjust_date_id >", value, "priceAdjustDateId");
            return (Criteria) this;
        }

        public Criteria andPriceAdjustDateIdGreaterThanOrEqualTo(Long value) {
            addCriterion("price_adjust_date_id >=", value, "priceAdjustDateId");
            return (Criteria) this;
        }

        public Criteria andPriceAdjustDateIdLessThan(Long value) {
            addCriterion("price_adjust_date_id <", value, "priceAdjustDateId");
            return (Criteria) this;
        }

        public Criteria andPriceAdjustDateIdLessThanOrEqualTo(Long value) {
            addCriterion("price_adjust_date_id <=", value, "priceAdjustDateId");
            return (Criteria) this;
        }

        public Criteria andPriceAdjustDateIdIn(List<Long> values) {
            addCriterion("price_adjust_date_id in", values, "priceAdjustDateId");
            return (Criteria) this;
        }

        public Criteria andPriceAdjustDateIdNotIn(List<Long> values) {
            addCriterion("price_adjust_date_id not in", values, "priceAdjustDateId");
            return (Criteria) this;
        }

        public Criteria andPriceAdjustDateIdBetween(Long value1, Long value2) {
            addCriterion("price_adjust_date_id between", value1, value2, "priceAdjustDateId");
            return (Criteria) this;
        }

        public Criteria andPriceAdjustDateIdNotBetween(Long value1, Long value2) {
            addCriterion("price_adjust_date_id not between", value1, value2, "priceAdjustDateId");
            return (Criteria) this;
        }

        public Criteria andPriceAdjustDateIsNull() {
            addCriterion("price_adjust_date is null");
            return (Criteria) this;
        }

        public Criteria andPriceAdjustDateIsNotNull() {
            addCriterion("price_adjust_date is not null");
            return (Criteria) this;
        }

        public Criteria andPriceAdjustDateEqualTo(Date value) {
            addCriterion("price_adjust_date =", value, "priceAdjustDate");
            return (Criteria) this;
        }

        public Criteria andPriceAdjustDateNotEqualTo(Date value) {
            addCriterion("price_adjust_date <>", value, "priceAdjustDate");
            return (Criteria) this;
        }

        public Criteria andPriceAdjustDateGreaterThan(Date value) {
            addCriterion("price_adjust_date >", value, "priceAdjustDate");
            return (Criteria) this;
        }

        public Criteria andPriceAdjustDateGreaterThanOrEqualTo(Date value) {
            addCriterion("price_adjust_date >=", value, "priceAdjustDate");
            return (Criteria) this;
        }

        public Criteria andPriceAdjustDateLessThan(Date value) {
            addCriterion("price_adjust_date <", value, "priceAdjustDate");
            return (Criteria) this;
        }

        public Criteria andPriceAdjustDateLessThanOrEqualTo(Date value) {
            addCriterion("price_adjust_date <=", value, "priceAdjustDate");
            return (Criteria) this;
        }

        public Criteria andPriceAdjustDateIn(List<Date> values) {
            addCriterion("price_adjust_date in", values, "priceAdjustDate");
            return (Criteria) this;
        }

        public Criteria andPriceAdjustDateNotIn(List<Date> values) {
            addCriterion("price_adjust_date not in", values, "priceAdjustDate");
            return (Criteria) this;
        }

        public Criteria andPriceAdjustDateBetween(Date value1, Date value2) {
            addCriterion("price_adjust_date between", value1, value2, "priceAdjustDate");
            return (Criteria) this;
        }

        public Criteria andPriceAdjustDateNotBetween(Date value1, Date value2) {
            addCriterion("price_adjust_date not between", value1, value2, "priceAdjustDate");
            return (Criteria) this;
        }

        public Criteria andProvinceCodeIsNull() {
            addCriterion("province_code is null");
            return (Criteria) this;
        }

        public Criteria andProvinceCodeIsNotNull() {
            addCriterion("province_code is not null");
            return (Criteria) this;
        }

        public Criteria andProvinceCodeEqualTo(Long value) {
            addCriterion("province_code =", value, "provinceCode");
            return (Criteria) this;
        }

        public Criteria andProvinceCodeNotEqualTo(Long value) {
            addCriterion("province_code <>", value, "provinceCode");
            return (Criteria) this;
        }

        public Criteria andProvinceCodeGreaterThan(Long value) {
            addCriterion("province_code >", value, "provinceCode");
            return (Criteria) this;
        }

        public Criteria andProvinceCodeGreaterThanOrEqualTo(Long value) {
            addCriterion("province_code >=", value, "provinceCode");
            return (Criteria) this;
        }

        public Criteria andProvinceCodeLessThan(Long value) {
            addCriterion("province_code <", value, "provinceCode");
            return (Criteria) this;
        }

        public Criteria andProvinceCodeLessThanOrEqualTo(Long value) {
            addCriterion("province_code <=", value, "provinceCode");
            return (Criteria) this;
        }

        public Criteria andProvinceCodeIn(List<Long> values) {
            addCriterion("province_code in", values, "provinceCode");
            return (Criteria) this;
        }

        public Criteria andProvinceCodeNotIn(List<Long> values) {
            addCriterion("province_code not in", values, "provinceCode");
            return (Criteria) this;
        }

        public Criteria andProvinceCodeBetween(Long value1, Long value2) {
            addCriterion("province_code between", value1, value2, "provinceCode");
            return (Criteria) this;
        }

        public Criteria andProvinceCodeNotBetween(Long value1, Long value2) {
            addCriterion("province_code not between", value1, value2, "provinceCode");
            return (Criteria) this;
        }

        public Criteria andProvinceNameIsNull() {
            addCriterion("province_name is null");
            return (Criteria) this;
        }

        public Criteria andProvinceNameIsNotNull() {
            addCriterion("province_name is not null");
            return (Criteria) this;
        }

        public Criteria andProvinceNameEqualTo(String value) {
            addCriterion("province_name =", value, "provinceName");
            return (Criteria) this;
        }

        public Criteria andProvinceNameNotEqualTo(String value) {
            addCriterion("province_name <>", value, "provinceName");
            return (Criteria) this;
        }

        public Criteria andProvinceNameGreaterThan(String value) {
            addCriterion("province_name >", value, "provinceName");
            return (Criteria) this;
        }

        public Criteria andProvinceNameGreaterThanOrEqualTo(String value) {
            addCriterion("province_name >=", value, "provinceName");
            return (Criteria) this;
        }

        public Criteria andProvinceNameLessThan(String value) {
            addCriterion("province_name <", value, "provinceName");
            return (Criteria) this;
        }

        public Criteria andProvinceNameLessThanOrEqualTo(String value) {
            addCriterion("province_name <=", value, "provinceName");
            return (Criteria) this;
        }

        public Criteria andProvinceNameLike(String value) {
            addCriterion("province_name like", value, "provinceName");
            return (Criteria) this;
        }

        public Criteria andProvinceNameNotLike(String value) {
            addCriterion("province_name not like", value, "provinceName");
            return (Criteria) this;
        }

        public Criteria andProvinceNameIn(List<String> values) {
            addCriterion("province_name in", values, "provinceName");
            return (Criteria) this;
        }

        public Criteria andProvinceNameNotIn(List<String> values) {
            addCriterion("province_name not in", values, "provinceName");
            return (Criteria) this;
        }

        public Criteria andProvinceNameBetween(String value1, String value2) {
            addCriterion("province_name between", value1, value2, "provinceName");
            return (Criteria) this;
        }

        public Criteria andProvinceNameNotBetween(String value1, String value2) {
            addCriterion("province_name not between", value1, value2, "provinceName");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneIdIsNull() {
            addCriterion("oil_price_zone_id is null");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneIdIsNotNull() {
            addCriterion("oil_price_zone_id is not null");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneIdEqualTo(Integer value) {
            addCriterion("oil_price_zone_id =", value, "oilPriceZoneId");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneIdNotEqualTo(Integer value) {
            addCriterion("oil_price_zone_id <>", value, "oilPriceZoneId");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneIdGreaterThan(Integer value) {
            addCriterion("oil_price_zone_id >", value, "oilPriceZoneId");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("oil_price_zone_id >=", value, "oilPriceZoneId");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneIdLessThan(Integer value) {
            addCriterion("oil_price_zone_id <", value, "oilPriceZoneId");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneIdLessThanOrEqualTo(Integer value) {
            addCriterion("oil_price_zone_id <=", value, "oilPriceZoneId");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneIdIn(List<Integer> values) {
            addCriterion("oil_price_zone_id in", values, "oilPriceZoneId");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneIdNotIn(List<Integer> values) {
            addCriterion("oil_price_zone_id not in", values, "oilPriceZoneId");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneIdBetween(Integer value1, Integer value2) {
            addCriterion("oil_price_zone_id between", value1, value2, "oilPriceZoneId");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneIdNotBetween(Integer value1, Integer value2) {
            addCriterion("oil_price_zone_id not between", value1, value2, "oilPriceZoneId");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameIsNull() {
            addCriterion("oil_price_zone_name is null");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameIsNotNull() {
            addCriterion("oil_price_zone_name is not null");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameEqualTo(String value) {
            addCriterion("oil_price_zone_name =", value, "oilPriceZoneName");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameNotEqualTo(String value) {
            addCriterion("oil_price_zone_name <>", value, "oilPriceZoneName");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameGreaterThan(String value) {
            addCriterion("oil_price_zone_name >", value, "oilPriceZoneName");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameGreaterThanOrEqualTo(String value) {
            addCriterion("oil_price_zone_name >=", value, "oilPriceZoneName");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameLessThan(String value) {
            addCriterion("oil_price_zone_name <", value, "oilPriceZoneName");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameLessThanOrEqualTo(String value) {
            addCriterion("oil_price_zone_name <=", value, "oilPriceZoneName");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameLike(String value) {
            addCriterion("oil_price_zone_name like", value, "oilPriceZoneName");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameNotLike(String value) {
            addCriterion("oil_price_zone_name not like", value, "oilPriceZoneName");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameIn(List<String> values) {
            addCriterion("oil_price_zone_name in", values, "oilPriceZoneName");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameNotIn(List<String> values) {
            addCriterion("oil_price_zone_name not in", values, "oilPriceZoneName");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameBetween(String value1, String value2) {
            addCriterion("oil_price_zone_name between", value1, value2, "oilPriceZoneName");
            return (Criteria) this;
        }

        public Criteria andOilPriceZoneNameNotBetween(String value1, String value2) {
            addCriterion("oil_price_zone_name not between", value1, value2, "oilPriceZoneName");
            return (Criteria) this;
        }

        public Criteria andOilTypeIsNull() {
            addCriterion("oil_type is null");
            return (Criteria) this;
        }

        public Criteria andOilTypeIsNotNull() {
            addCriterion("oil_type is not null");
            return (Criteria) this;
        }

        public Criteria andOilTypeEqualTo(Integer value) {
            addCriterion("oil_type =", value, "oilType");
            return (Criteria) this;
        }

        public Criteria andOilTypeNotEqualTo(Integer value) {
            addCriterion("oil_type <>", value, "oilType");
            return (Criteria) this;
        }

        public Criteria andOilTypeGreaterThan(Integer value) {
            addCriterion("oil_type >", value, "oilType");
            return (Criteria) this;
        }

        public Criteria andOilTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("oil_type >=", value, "oilType");
            return (Criteria) this;
        }

        public Criteria andOilTypeLessThan(Integer value) {
            addCriterion("oil_type <", value, "oilType");
            return (Criteria) this;
        }

        public Criteria andOilTypeLessThanOrEqualTo(Integer value) {
            addCriterion("oil_type <=", value, "oilType");
            return (Criteria) this;
        }

        public Criteria andOilTypeIn(List<Integer> values) {
            addCriterion("oil_type in", values, "oilType");
            return (Criteria) this;
        }

        public Criteria andOilTypeNotIn(List<Integer> values) {
            addCriterion("oil_type not in", values, "oilType");
            return (Criteria) this;
        }

        public Criteria andOilTypeBetween(Integer value1, Integer value2) {
            addCriterion("oil_type between", value1, value2, "oilType");
            return (Criteria) this;
        }

        public Criteria andOilTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("oil_type not between", value1, value2, "oilType");
            return (Criteria) this;
        }

        public Criteria andOilTypeNameIsNull() {
            addCriterion("oil_type_name is null");
            return (Criteria) this;
        }

        public Criteria andOilTypeNameIsNotNull() {
            addCriterion("oil_type_name is not null");
            return (Criteria) this;
        }

        public Criteria andOilTypeNameEqualTo(String value) {
            addCriterion("oil_type_name =", value, "oilTypeName");
            return (Criteria) this;
        }

        public Criteria andOilTypeNameNotEqualTo(String value) {
            addCriterion("oil_type_name <>", value, "oilTypeName");
            return (Criteria) this;
        }

        public Criteria andOilTypeNameGreaterThan(String value) {
            addCriterion("oil_type_name >", value, "oilTypeName");
            return (Criteria) this;
        }

        public Criteria andOilTypeNameGreaterThanOrEqualTo(String value) {
            addCriterion("oil_type_name >=", value, "oilTypeName");
            return (Criteria) this;
        }

        public Criteria andOilTypeNameLessThan(String value) {
            addCriterion("oil_type_name <", value, "oilTypeName");
            return (Criteria) this;
        }

        public Criteria andOilTypeNameLessThanOrEqualTo(String value) {
            addCriterion("oil_type_name <=", value, "oilTypeName");
            return (Criteria) this;
        }

        public Criteria andOilTypeNameLike(String value) {
            addCriterion("oil_type_name like", value, "oilTypeName");
            return (Criteria) this;
        }

        public Criteria andOilTypeNameNotLike(String value) {
            addCriterion("oil_type_name not like", value, "oilTypeName");
            return (Criteria) this;
        }

        public Criteria andOilTypeNameIn(List<String> values) {
            addCriterion("oil_type_name in", values, "oilTypeName");
            return (Criteria) this;
        }

        public Criteria andOilTypeNameNotIn(List<String> values) {
            addCriterion("oil_type_name not in", values, "oilTypeName");
            return (Criteria) this;
        }

        public Criteria andOilTypeNameBetween(String value1, String value2) {
            addCriterion("oil_type_name between", value1, value2, "oilTypeName");
            return (Criteria) this;
        }

        public Criteria andOilTypeNameNotBetween(String value1, String value2) {
            addCriterion("oil_type_name not between", value1, value2, "oilTypeName");
            return (Criteria) this;
        }

        public Criteria andOilNoIsNull() {
            addCriterion("oil_no is null");
            return (Criteria) this;
        }

        public Criteria andOilNoIsNotNull() {
            addCriterion("oil_no is not null");
            return (Criteria) this;
        }

        public Criteria andOilNoEqualTo(String value) {
            addCriterion("oil_no =", value, "oilNo");
            return (Criteria) this;
        }

        public Criteria andOilNoNotEqualTo(String value) {
            addCriterion("oil_no <>", value, "oilNo");
            return (Criteria) this;
        }

        public Criteria andOilNoGreaterThan(String value) {
            addCriterion("oil_no >", value, "oilNo");
            return (Criteria) this;
        }

        public Criteria andOilNoGreaterThanOrEqualTo(String value) {
            addCriterion("oil_no >=", value, "oilNo");
            return (Criteria) this;
        }

        public Criteria andOilNoLessThan(String value) {
            addCriterion("oil_no <", value, "oilNo");
            return (Criteria) this;
        }

        public Criteria andOilNoLessThanOrEqualTo(String value) {
            addCriterion("oil_no <=", value, "oilNo");
            return (Criteria) this;
        }

        public Criteria andOilNoLike(String value) {
            addCriterion("oil_no like", value, "oilNo");
            return (Criteria) this;
        }

        public Criteria andOilNoNotLike(String value) {
            addCriterion("oil_no not like", value, "oilNo");
            return (Criteria) this;
        }

        public Criteria andOilNoIn(List<String> values) {
            addCriterion("oil_no in", values, "oilNo");
            return (Criteria) this;
        }

        public Criteria andOilNoNotIn(List<String> values) {
            addCriterion("oil_no not in", values, "oilNo");
            return (Criteria) this;
        }

        public Criteria andOilNoBetween(String value1, String value2) {
            addCriterion("oil_no between", value1, value2, "oilNo");
            return (Criteria) this;
        }

        public Criteria andOilNoNotBetween(String value1, String value2) {
            addCriterion("oil_no not between", value1, value2, "oilNo");
            return (Criteria) this;
        }

        public Criteria andOilNoNameIsNull() {
            addCriterion("oil_no_name is null");
            return (Criteria) this;
        }

        public Criteria andOilNoNameIsNotNull() {
            addCriterion("oil_no_name is not null");
            return (Criteria) this;
        }

        public Criteria andOilNoNameEqualTo(String value) {
            addCriterion("oil_no_name =", value, "oilNoName");
            return (Criteria) this;
        }

        public Criteria andOilNoNameNotEqualTo(String value) {
            addCriterion("oil_no_name <>", value, "oilNoName");
            return (Criteria) this;
        }

        public Criteria andOilNoNameGreaterThan(String value) {
            addCriterion("oil_no_name >", value, "oilNoName");
            return (Criteria) this;
        }

        public Criteria andOilNoNameGreaterThanOrEqualTo(String value) {
            addCriterion("oil_no_name >=", value, "oilNoName");
            return (Criteria) this;
        }

        public Criteria andOilNoNameLessThan(String value) {
            addCriterion("oil_no_name <", value, "oilNoName");
            return (Criteria) this;
        }

        public Criteria andOilNoNameLessThanOrEqualTo(String value) {
            addCriterion("oil_no_name <=", value, "oilNoName");
            return (Criteria) this;
        }

        public Criteria andOilNoNameLike(String value) {
            addCriterion("oil_no_name like", value, "oilNoName");
            return (Criteria) this;
        }

        public Criteria andOilNoNameNotLike(String value) {
            addCriterion("oil_no_name not like", value, "oilNoName");
            return (Criteria) this;
        }

        public Criteria andOilNoNameIn(List<String> values) {
            addCriterion("oil_no_name in", values, "oilNoName");
            return (Criteria) this;
        }

        public Criteria andOilNoNameNotIn(List<String> values) {
            addCriterion("oil_no_name not in", values, "oilNoName");
            return (Criteria) this;
        }

        public Criteria andOilNoNameBetween(String value1, String value2) {
            addCriterion("oil_no_name between", value1, value2, "oilNoName");
            return (Criteria) this;
        }

        public Criteria andOilNoNameNotBetween(String value1, String value2) {
            addCriterion("oil_no_name not between", value1, value2, "oilNoName");
            return (Criteria) this;
        }

        public Criteria andPriceOfficialIsNull() {
            addCriterion("price_official is null");
            return (Criteria) this;
        }

        public Criteria andPriceOfficialIsNotNull() {
            addCriterion("price_official is not null");
            return (Criteria) this;
        }

        public Criteria andPriceOfficialEqualTo(BigDecimal value) {
            addCriterion("price_official =", value, "priceOfficial");
            return (Criteria) this;
        }

        public Criteria andPriceOfficialNotEqualTo(BigDecimal value) {
            addCriterion("price_official <>", value, "priceOfficial");
            return (Criteria) this;
        }

        public Criteria andPriceOfficialGreaterThan(BigDecimal value) {
            addCriterion("price_official >", value, "priceOfficial");
            return (Criteria) this;
        }

        public Criteria andPriceOfficialGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("price_official >=", value, "priceOfficial");
            return (Criteria) this;
        }

        public Criteria andPriceOfficialLessThan(BigDecimal value) {
            addCriterion("price_official <", value, "priceOfficial");
            return (Criteria) this;
        }

        public Criteria andPriceOfficialLessThanOrEqualTo(BigDecimal value) {
            addCriterion("price_official <=", value, "priceOfficial");
            return (Criteria) this;
        }

        public Criteria andPriceOfficialIn(List<BigDecimal> values) {
            addCriterion("price_official in", values, "priceOfficial");
            return (Criteria) this;
        }

        public Criteria andPriceOfficialNotIn(List<BigDecimal> values) {
            addCriterion("price_official not in", values, "priceOfficial");
            return (Criteria) this;
        }

        public Criteria andPriceOfficialBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("price_official between", value1, value2, "priceOfficial");
            return (Criteria) this;
        }

        public Criteria andPriceOfficialNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("price_official not between", value1, value2, "priceOfficial");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("`status` is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("`status` is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("`status` =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("`status` <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("`status` >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("`status` >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("`status` <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("`status` <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("`status` in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("`status` not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("`status` between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("`status` not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andExt1IsNull() {
            addCriterion("ext_1 is null");
            return (Criteria) this;
        }

        public Criteria andExt1IsNotNull() {
            addCriterion("ext_1 is not null");
            return (Criteria) this;
        }

        public Criteria andExt1EqualTo(String value) {
            addCriterion("ext_1 =", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotEqualTo(String value) {
            addCriterion("ext_1 <>", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThan(String value) {
            addCriterion("ext_1 >", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThanOrEqualTo(String value) {
            addCriterion("ext_1 >=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThan(String value) {
            addCriterion("ext_1 <", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThanOrEqualTo(String value) {
            addCriterion("ext_1 <=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Like(String value) {
            addCriterion("ext_1 like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotLike(String value) {
            addCriterion("ext_1 not like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1In(List<String> values) {
            addCriterion("ext_1 in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotIn(List<String> values) {
            addCriterion("ext_1 not in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Between(String value1, String value2) {
            addCriterion("ext_1 between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotBetween(String value1, String value2) {
            addCriterion("ext_1 not between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt2IsNull() {
            addCriterion("ext_2 is null");
            return (Criteria) this;
        }

        public Criteria andExt2IsNotNull() {
            addCriterion("ext_2 is not null");
            return (Criteria) this;
        }

        public Criteria andExt2EqualTo(String value) {
            addCriterion("ext_2 =", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotEqualTo(String value) {
            addCriterion("ext_2 <>", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThan(String value) {
            addCriterion("ext_2 >", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThanOrEqualTo(String value) {
            addCriterion("ext_2 >=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThan(String value) {
            addCriterion("ext_2 <", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThanOrEqualTo(String value) {
            addCriterion("ext_2 <=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Like(String value) {
            addCriterion("ext_2 like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotLike(String value) {
            addCriterion("ext_2 not like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2In(List<String> values) {
            addCriterion("ext_2 in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotIn(List<String> values) {
            addCriterion("ext_2 not in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Between(String value1, String value2) {
            addCriterion("ext_2 between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotBetween(String value1, String value2) {
            addCriterion("ext_2 not between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt3IsNull() {
            addCriterion("ext_3 is null");
            return (Criteria) this;
        }

        public Criteria andExt3IsNotNull() {
            addCriterion("ext_3 is not null");
            return (Criteria) this;
        }

        public Criteria andExt3EqualTo(String value) {
            addCriterion("ext_3 =", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotEqualTo(String value) {
            addCriterion("ext_3 <>", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThan(String value) {
            addCriterion("ext_3 >", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThanOrEqualTo(String value) {
            addCriterion("ext_3 >=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThan(String value) {
            addCriterion("ext_3 <", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThanOrEqualTo(String value) {
            addCriterion("ext_3 <=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Like(String value) {
            addCriterion("ext_3 like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotLike(String value) {
            addCriterion("ext_3 not like", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3In(List<String> values) {
            addCriterion("ext_3 in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotIn(List<String> values) {
            addCriterion("ext_3 not in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Between(String value1, String value2) {
            addCriterion("ext_3 between", value1, value2, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotBetween(String value1, String value2) {
            addCriterion("ext_3 not between", value1, value2, "ext3");
            return (Criteria) this;
        }
    }

    /**
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}